/*
  +----------------------------------------------------------------------+
  | PHP Version 5                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2004 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.0 of the PHP license,       |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_0.txt.                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author: John Coggeshall <john@php.net>                               |
  +----------------------------------------------------------------------+
*/

/* $Id: php_xmlrpci.h,v 1.1 2005/02/14 01:25:28 john Exp $ */

#ifndef PHP_XMLRPCI_H
#define PHP_XMLRPCI_H

#define XMLRPCI_VERSION  "1.0-dev"
#define XMLRPC_DATETIME_FORMAT "Ymd\\TH:i:s"

extern zend_module_entry xmlrpci_module_entry;
#define phpext_xmlrpci_ptr &xmlrpci_module_entry

#ifdef PHP_WIN32
#define PHP_XMLRPCI_API __declspec(dllexport)
#else
#define PHP_XMLRPCI_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

#include <libxml/parser.h>
#include <libxml/xpath.h>

#ifdef HAVE_PHP_DOMXML
# include "ext/domxml/php_domxml.h"
#endif

#ifndef PHP_HAVE_STREAMS
# error You lose - must be compiled against PHP 4.3.0 or later
#endif

#ifndef PHP_WIN32
# define TRUE 1
# define FALSE 0
# define stricmp strcasecmp
#endif

#define XMLRPCI_METHOD_MAP(name, func_name, arg_types) \
	ZEND_NAMED_FE(name, ZEND_FN(func_name), arg_types)

#define XMLRPCI_RPC_METHOD(name)     PHP_FUNCTION(xmlrpci_rpc_ ##name)
#define XMLRPCI_RPC_ME(name, param)  XMLRPCI_METHOD_MAP(name, xmlrpci_rpc_ ##name, param)

#define XMLRPCI_VAL_METHOD(name)     PHP_FUNCTION(xmlrpci_val_ ##name)
#define XMLRPCI_VAL_ME(name, param)  XMLRPCI_METHOD_MAP(name, xmlrpci_val_ ##name, param)

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif

PHP_MINIT_FUNCTION(xmlrpci);
PHP_MSHUTDOWN_FUNCTION(xmlrpci);
PHP_RINIT_FUNCTION(xmlrpci);
PHP_RSHUTDOWN_FUNCTION(xmlrpci);
PHP_MINFO_FUNCTION(xmlrpci);

XMLRPCI_RPC_METHOD(__construct);
XMLRPCI_VAL_METHOD(__construct);

#define XMLRPC_DATETIME 0
#define XMLRPC_BASE64 1

#endif	/* PHP_XMLRPCI_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
